com.pixelmed.network

## Class AssociationStatusHandler

- java.lang.Object
- - com.pixelmed.network.AssociationStatusHandler

    public abstract class AssociationStatusHandler
    extends java.lang.Object

This abstract class provides a mechanism for detecting when an Association closes.

Typically a private sub-class would be declared and instantiated in an implementation using `StorageSOPClassSCPDispatcher`.

For example:

    private class OurAssociationStatusHandler extends AssociationStatusHandler {
        public void sendAssociationReleaseIndication(Association a) throws DicomNetworkException, DicomException, IOException {
            if (a != null) {
                System.err.println("Association "+a.getAssociationNumber()+" from "+a.getCallingAETitle()+" released");
            }
        }
    }

See Also:
  `Association`, `StorageSOPClassSCP`, `StorageSOPClassSCPDispatcher`

### Constructor Summary

Constructors
Constructor and Description
`AssociationStatusHandler()`

### Method Summary

Methods
`abstract void` `sendAssociationReleaseIndication(Association a)` Do something when an Association closes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssociationStatusHandler

    public AssociationStatusHandler()

### Method Detail

#### sendAssociationReleaseIndication

    public abstract void sendAssociationReleaseIndication(Association a)
                                                   throws DicomNetworkException,
                                                          DicomException,
                                                          java.io.IOException

Do something when an Association closes.

Parameters:
  `a` - the Association
Throws:
  `java.io.IOException`
  `DicomException`
  `DicomNetworkException`